id: wordpress-custom-css-js

info:
  name: Simple Custom CSS and JS Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/custom-css-js/
  metadata:
    plugin_namespace: custom-css-js
    wpscan: https://wpscan.com/plugin/custom-css-js
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/custom-css-js/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/custom-css-js.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100852b02ff4fec7ef7ab875a73d64ef0c36ecec1ab02bdea5cd780af821ba390af022048326381ae9eaf15d15b0b01cc5dc95a2b47782abdaa2b07633d0818addda882:922c64590222798bb761d5b6d8e72950